/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

typedef struct
{
	char		identification[4];		// should be WAD2 or WAD3
	int			numlumps;
	int			infotableofs;
} hlwadinfo_t;


typedef struct
{
	int			filepos;
	int			disksize;
	int			size;					// uncompressed
	char		type;
	char		compression;
	char		pad1, pad2;
	char		name[16];				// must be null terminated
} hllumpinfo_t;


#define	HLMIPLEVELS	4

typedef struct hlmiptex_s
{
	char		name[16];
	unsigned	width, height;
	unsigned	offsets[HLMIPLEVELS];		// four mip maps stored
} hlmiptex_t;


