/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

extern cvar_t gl_aliasglow;
extern cvar_t gl_aliastrans;
extern cvar_t gl_aliaslightlerp;
extern cvar_t gl_fullbright_alias;
extern cvar_t view_hand;

extern int gl_fogenabled;
extern int gl_useclight;

extern int num_amodels;
extern int num_amodel_glows;
extern int num_amodel_shadows;
extern int notexture_num;

extern	vec3_t lightspot;

extern float PowerupGlowRadius;
extern float TorchGlowFlicker;
extern float BoltGlowFlicker;
extern float lerp_mody;

qboolean SV_RecursiveHullCheck (hull_t *hull, int num, float p1f, float p2f, vec3_t p1, vec3_t p2, trace_t *trace);